> For the complete documentation index, see [llms.txt](https://docs.mashmatrix.com/mashmatrix-sheet/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mashmatrix.com/mashmatrix-sheet/settings_for_admin/administration_console/organization_configuration.md).

# Organization Configuration

Mashmatrix Sheet allows you to change some application behaviors across the entire installed organization. This enables you to use the Mashmatrix Sheet application according to the conditions of your operating Salesforce organization.

{% hint style="info" %}
To use the organization configuration page in the administration console, the logged-in user must be a Salesforce administrator or must have the "Modify Metadata Via Metadata API Functions" permission.
{% endhint %}

The following organization settings can be changed from the "Organization Configuration" menu in the administration console.

### Transaction Control <a href="#transaction-control" id="transaction-control"></a>

* **Enable "All-or-None" Transaction** - When saving multiple records from a sheet, if there are records that result in errors during saving, you can specify whether to save the partial records that can be saved (= unchecked), or to cancel the entire save process and treat it as an error (= checked). The default setting is unchecked.

{% hint style="info" %}
Please note that All-or-None transactions are controlled per batch save request unit. Even when All-or-None transaction is checked, when saving a number of records that exceeds the "Batch Size in Saving Records" setting specified in the sheet, transaction commit/rollback is performed for each batch save request. Therefore, even if an error occurs during saving, there may be cases where preceding batch save requests have succeeded and changes have been committed.
{% endhint %}

### Operation Threshold <a href="#operation-threshold" id="operation-threshold"></a>

* **Record num to require bulk-copy operation permission** - When selecting and copying records and cells from a sheet, specify the number of records that require bulk-copy operation permission. When attempting to copy this number of records or more to the clipboard, if the executing user does not have bulk-copy operation permission for the target number of records or more, or if bulk-copy operations for the target number of records or more are not allowed in the sheet settings, an error message is displayed and the copy process is cancelled.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mashmatrix.com/mashmatrix-sheet/settings_for_admin/administration_console/organization_configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
